Subject: Re: bug#8936: 24.0.50; Incompatible change in the meaning of "other window"

From: martin rudalics <[email-masked]>
Date: Sun, 26 Jun 2011 11:29:14 +0200

>    The problem is that C-x 4 b now creates a new frame to display the
 > buffer, instead of creating or reusing a window in the current frame.
 > This can be reproduced by typing "C-x 4 b" as the first thing in a fresh
 > "emacs -Q"; you will see the *Messages* buffer opened in a new frame.
 >
 >    This is in emacs trunk via git last updated today at 21:59:08 UTC.

Here a new window pops up.  Could you please step through the functions
`display-buffer-pop-up-window', `display-buffer-split-window' and
`display-buffer-split-window-1' to find out why splitting a window fails
on your system?

If Emacs can't split a window I currently make a new frame because the
doc-string of `switch-to-buffer-other-window' explicitly says that "The
selected window will be used only if there is no other choice" and
making a new frame _is_ another choice.  If people think that reusing
the selected window is a better choice I can easily do that.

Thanks, martin